[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":manageTerms" label="Manage Terms" tab="keywords"]]
</ol>

<semantic-query
  query='SELECT ?type_name WHERE
    {
      ?type ecrm:P3_has_note ?type_name .
      BIND(<[[urlParam "keywordiri"]]> as ?type)
     }'
  template="<h3>{{#each bindings}}{{type_name.value}}{{/each}}</h3>">
</semantic-query>

<semantic-link
  uri=":addKeyword"
  urlqueryparam-resiri="[[urlParam "keywordiri"]]"
  class="btn btn-md btn-primary gap-bottom" >Edit</semantic-link>


<div id="view-record-body" class="content">
  <h4 style="margin:2em 0">Entities that carry this keyword</h4>

  <semantic-table
    query="SELECT
        ?annotates_book
        ?annotates_part
        ?annotation_target
        ?annotation_target_label
        ?boundingBox
        ?label
        ?IIIFPath
        ?imageID
        ?is_annotation
        ?is_book
        ?is_part
        ?is_region
        ?page
        ?page_book_label
        ?page_label
        ?subject
        ?type
        ?type_label
  			WHERE {
          BIND(<[[urlParam "keywordiri"]]> as ?keyword)
          ?subject a ?type ;
            ecrm:P2_has_type ?keyword .
          OPTIONAL {
            ?subject ecrm:P3_has_note ?label .
          }
          OPTIONAL {
            ?subject oa:hasTarget ?annotation_target .
            ?annotation_target a ?annotation_target_type ;
              ecrm:P3_has_note ?annotation_target_label
            VALUES (?annotation_target_type) {
              (sphaera:Book)
              (sphaera:Part)
            }
            BIND(IF(?annotation_target_type = sphaera:Book, 'true', '') as ?annotates_book)
            BIND(IF(?annotation_target_type = sphaera:Part, 'true', '') as ?annotates_part)
          }
          OPTIONAL {
            ?subject crmDig:L49_is_primary_area_of ?page ;
              rs:boundingBox ?bbox .
            ?page ecrm:P3_has_note ?page_label ;
              ^ecrm:P106_is_composed_of/^ecrm:P128_carries/^efrbroo:R30_produced/^efrbroo:R29i_was_reproduced_by ?page_book .
            ?page_book ecrm:P3_has_note ?page_book_label .

            :configIIIFPath ecrm:P3_has_note ?IIIFPath .
            BIND(STRAFTER(?bbox, 'xywh=') as ?boundingBox)
            BIND(?page as ?imageIRI) .
            [[> :queryImageIdPattern]]

          }
          VALUES (?type) {
            (sphaera:Book)
            (sphaera:Part)
            (crmDig:D35_Area)
            (oa:Annotation)
          }
          BIND(IF(?type = sphaera:Book, 'true', '') as ?is_book)
          BIND(IF(?type = sphaera:Part, 'true', '') as ?is_part)
          BIND(IF(?type = crmDig:D35_Area, 'true', '') as ?is_region)
          BIND(IF(?type = oa:Annotation, 'true', '') as ?is_annotation)
          BIND(IF(?is_book,'Book','something else') as ?type_label)
  	}"
    options='{
      "resultsPerPage":100
    }'
    column-configuration='[ [[> :colConfKeywords ]] ]'
  >
  </semantic-table>

  <dl>
    [[> :identifier iri="keywordiri"]]
  </dl>
</div>
